Package org.apache.datasketches.hive.tuple

## Class ArrayOfDoublesSketchToNumberOfRetainedEntriesUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.tuple.ArrayOfDoublesSketchToNumberOfRetainedEntriesUDF

    public class ArrayOfDoublesSketchToNumberOfRetainedEntriesUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`ArrayOfDoublesSketchToNumberOfRetainedEntriesUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Integer` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Get number of retained entries from a given ArrayOfDoublesSketch

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfDoublesSketchToNumberOfRetainedEntriesUDF

    public ArrayOfDoublesSketchToNumberOfRetainedEntriesUDF()

### Method Detail

#### evaluate

    public Integer evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Get number of retained entries from a given ArrayOfDoublesSketch

Parameters:
  `serializedSketch` - ArrayOfDoublesSketch in as serialized binary
Returns:
  number of retained entries